# Studio

- [UI Elements](https://docs.qatts.com/studio/ui-elements.md)
- [text\_box](https://docs.qatts.com/studio/ui-elements/text_box.md): It is one of the UI element type to populate a value and also has many defined ways of sending a value.
- [Properties Library](https://docs.qatts.com/studio/ui-elements/text_box/properties-library.md): QATTS has all the solutions to the day-to-day automation problems defined. Below will explain us how to use them.
- [Trouble Shoot](https://docs.qatts.com/studio/ui-elements/text_box/trouble-shoot.md): Answers to yours questions / Exceptions
- [loader](https://docs.qatts.com/studio/ui-elements/loader.md): A web page loader is a graphical representation of how long it will take for a website to load and to show the user how long it will take before they can interact with the page.
- [Trouble Shoot](https://docs.qatts.com/studio/ui-elements/loader/trouble-shoot.md): Answers to yours questions / Exceptions
- [date](https://docs.qatts.com/studio/ui-elements/date.md)
- [button](https://docs.qatts.com/studio/ui-elements/button.md): It is one of the UI element type for clicking a web element on a web page. Some times a normal click might not work. So, QATTS has a rich properties library to click in multiple ways.
- [drop\_down](https://docs.qatts.com/studio/ui-elements/drop_down.md): It is one of the UI element type to select a value and also has many defined ways for selecting the desired value
- [Trouble Shoot](https://docs.qatts.com/studio/ui-elements/drop_down/trouble-shoot.md): Troubleshoot the problem you have, by looking at the various available options
- [Properties Library](https://docs.qatts.com/studio/ui-elements/drop_down/properties-library.md): Answers to yours questions / Exceptions
- [label](https://docs.qatts.com/studio/ui-elements/label.md)
- [check\_box](https://docs.qatts.com/studio/ui-elements/check_box.md): It is one of the Ui element type which is used to make a decision on web page. selecting or unselecting can make differences in saving the form
- [radio\_button](https://docs.qatts.com/studio/ui-elements/radio_button.md): It is one of the UI element type which make user to decide or opt for a value from the list of values
- [link](https://docs.qatts.com/studio/ui-elements/link.md): It is one of the UI element type for clicking a web element on a web page. Some times a normal click might not work. So, QATTS has a rich properties library to click in multiple ways.
- [Shadow](https://docs.qatts.com/studio/ui-elements/shadow.md)
- [Trouble Shoot](https://docs.qatts.com/studio/ui-elements/trouble-shoot.md): Answers to yours questions / Exceptions
- [Properties Library](https://docs.qatts.com/studio/ui-elements/properties-library.md): QATTS is all about configuring the right thing in right place. Here is the process
- [Pre and Post Actions](https://docs.qatts.com/studio/ui-elements/pre-and-post-actions.md): An element action that can be performed before or after the main action.
- [table](https://docs.qatts.com/studio/ui-elements/table.md): It is one of the UI element type which is used to extract the data for the validations or using for other automation process
- [Example](https://docs.qatts.com/studio/ui-elements/table/example.md): This page gives us how extraction of table data works and how to customize
- [Trouble Shoot](https://docs.qatts.com/studio/ui-elements/table/trouble-shoot.md): Answers to yours questions / Exceptions
- [form](https://docs.qatts.com/studio/ui-elements/form.md)
- [toogle\_button](https://docs.qatts.com/studio/ui-elements/toogle_button.md)
- [file](https://docs.qatts.com/studio/ui-elements/file.md)
- [alert](https://docs.qatts.com/studio/ui-elements/alert.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/studio.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
